for_each: apply a functor to each point or segment of a geometry

## Functions

template<typename Geometry , typename Functor >
Functor | boost::geometry::for_each_point (Geometry &geometry, Functor f)
| Applies function [*f] to each \1.
template<typename Geometry , typename Functor >
Functor | boost::geometry::for_each_segment (Geometry &geometry, Functor f)
| Applies function [*f] to each \1.

## Function Documentation

template<typename Geometry , typename Functor >

Functor boost::geometry::for_each_point | ( | Geometry & | geometry,
|  | Functor | f
| ) |  |

Applies function [*f] to each \1.

Applies a function [*f] (functor, having operator() defined) to each point making up the geometry

Parameters:

  geometry | A model of the specified concept
  f | Unary function, taking a point as argument

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Functor | Function or class with operator()

Examples:
  02_linestring_example.cpp.

template<typename Geometry , typename Functor >

Functor boost::geometry::for_each_segment | ( | Geometry & | geometry,
|  | Functor | f
| ) |  |

Applies function [*f] to each \1.

Applies a function [*f] (functor, having operator() defined) to each segment making up the geometry

Parameters:

  geometry | A model of the specified concept
  f | Unary function, taking a segment as argument

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Functor | Function or class with operator()

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK